@import 'core/ColorSystem/style.module.scss';

.container {
    display: flex;
    padding: 12px;
    position: relative;
    box-sizing: border-box;
    align-items: center;
    border-top-left-radius: 4px;
    border-top-right-radius: 4px;

    input {
        width: 100%;
        height: 2em;
        border: 0;
        font-size: 16px;
        box-sizing: border-box;
        background-color: transparent;
        color: rgba($onSurfaceColor, 0.87);  
    }

    input:focus {
        outline: none;
    }
}

.container.dense {
    padding: 0px;
    border-bottom-left-radius: 4px;
    border-bottom-right-radius: 4px;
    input {
        height: unset;
        min-height: 20px;
        padding: 10px 12px 10px 12px;
    }
}

.container, .container.dense {
    &.filledVariant {
        background-color: rgba($onSurfaceColor, 0.12);  
    }

    &.outlinedVariant {
        background-color: $surfaceColor;
        border-width: 1px;
        border-style: solid;
        border-color: rgba($onSurfaceColor, 0.42);
    }
}

.underLine {
    position:absolute;
    left: 0;
    right: 0;
    bottom: 0;
    border-bottom: 1px solid rgba($onSurfaceColor, 0.42);
    pointer-events: none;
    transition: border-bottom-color 200ms cubic-bezier(0.4, 0, 0.2, 1) 0ms;
}